<?
set_time_limit(0);

require_once(dirname(__FILE__).'/api/include.php');

function parse_digg_page($keyword)
{
	Global $glebgor_api, $glebgor_news_limit;
	
	$session='digg.com';
	
	$glebgor_api->network->new_session($session);
	
	$url='http://digg.com/search?q='.urlencode($keyword).'&submit=';
	$data=$glebgor_api->network->request($session, $url);
	
	preg_match_all('!<li class="story\-item\-comments"><a href="([^"]*)" rel="nofollow">!iUs', $data, $maches, PREG_SET_ORDER);
	
	$result=array();
	$limit=$glebgor_news_limit;
	$i=0;
	
	shuffle($maches);
	
	foreach($maches as $mach)
	{
		if($i==$limit)
			break;
		
		$url='http://digg.com'.str_replace('&amp;', '&', $mach[1]);
		
		$result[]=parse_digg_story($url);
		
		$i++;
	}
	
	return $result;
}

function parse_digg_story($url)
{
	Global $glebgor_api;
	
	$session='digg.com';
	
	//print '<i>'.$url.'</i><br />';
	//flush();
	
	$data=$glebgor_api->network->request($session, $url);
	
	$result=array();
	
	preg_match('!<span class="story\-item\-teaser" rel="nofollow">(.*)<span class="timestamp">!iUs', $data, $mach);
	$result['content']=trim($mach[1]);
	
	preg_match('!<h3 class="story\-item\-title">[^<]*<a href="([^"]*)" target="_blank" class="external\-link ">([^<]*)</a>!iUs', $data, $mach);
	$result['title']=trim($mach[2]);
	
	if($glebgor_api->network->request($session, 'http://www.digg.com'.$mach[1]))
	{
		$result['url']=$glebgor_api->network->last_location_url;
	}
	else
	{
		$result['url']='http://www.digg.com'.$mach[1];
	}
	
	return $result;
}
?>