<?
/*
Plugin Name: Add Digg Content
Plugin URI: http://www.rxpblog.com/
Description: Add digg content to your posts
Version: 1.0
Author: Gleb Gorskiy
Author URI: http://www.rxpblog.com/
License: GPL2
*/

$glebgor_news_limit=mt_rand(2, 5);

require_once(dirname(__FILE__).'/digg_parser.php');

$glebgor_post_title='';

function add_digg_content($content='')
{
	Global $glebgor_post_title;
	
	if(empty($glebgor_post_title))
	{
		print '<!-- err 1 -->';
		return '';
	}
	
	$cache=dirname(__FILE__).'/cache/'.md5($glebgor_post_title).'.txt';
	
	if(is_file($cache))
	{
		print '<!-- from cache -->';
		return $content.file_get_contents($cache);
	}
	
	$digg=parse_digg_page($glebgor_post_title);
	
	if(count($digg)==0)
	{
		print '<!-- err 2 -->';
		$digg_content='';
	}
	else
	{
		$tpl=file_get_contents(dirname(__FILE__).'/content.tpl');
		$story_tpl=file_get_contents(dirname(__FILE__).'/digg_story.tpl');
		
		$digg_content='';
		
		foreach($digg as $story)
		{
			$tmp=str_replace('{story_content}', $story['content'], $story_tpl);
			$tmp=str_replace('{story_title}', $story['title'], $tmp);
			$tmp=str_replace('{story_url}', $story['url'], $tmp);
			
			$digg_content.=$tmp;
		}
		
		$digg_content=str_replace('{stories}', $digg_content, $tpl);
		
		$fd=fopen($cache, 'w');
		fwrite($fd, $digg_content);
		fclose($fd);
	}
	
	return $content.$digg_content;
}

function set_glebgor_title($title='')
{
	Global $glebgor_post_title;
	
	$glebgor_post_title=preg_replace('![^a-zA-Z0-9]+!', ' ', strtolower($title));
	
	return $title;
}

add_filter('the_content', 'add_digg_content');
add_filter('the_title', 'set_glebgor_title');
?>